/* ipatmlookup.h - atmarp/inatmarp utilities */
 
/* Written 12-1997 by Mohsen.Souissi@inria.fr, INRIA */
 

#ifndef LOOKUP_H
#define LOOKUP_H

#define AESA_LEN 20
#define PREFIX_LEN 13
#define ESI_LEN 6
#define IP_LEN 16
#define NAME_LEN 20
#define MAX_LEN 70

struct ipatment {
  char name[NAME_LEN];
  char ipaddr[IP_LEN];
  u_char prefix[PREFIX_LEN];
  u_char esi[ESI_LEN];
};

int str2num(const char *str);
int char2int(char c);
int string2byte(const char *str, u_char *dst);
int badip(char *addr);
struct ipatment *getentry(FILE *file);
u_char *getaesabyip(const char *ipatmpathconf, char *addr);
char *getipbyesi(const char *ipatmpathconf, u_char *aesa);


#endif
